%define		rname mod_ntlm
Summary:	Apache2 NTLM Authenication module
Summary(ko):	아파치2 NTLM 인증 모듈
Name:		httpd-ntlm
Version:	r22
Release:	1%{?dist}
Epoch:		1
License:	BSD
Group:		System Environment/Deamons
# URL:		http://modntlm.sourceforge.net
# Source0:	http://nchc.dl.sourceforge.net/sourceforge/modntlm/%{name}-%{version}.tgz
#URL:		http://modntlm.jamiekerwick.co.uk
#Source0:	http://modntlm.jamiekerwick.co.uk/mod_ntlm2-unofficial-%{version}.tar.gz
Source0:	%{rname}-%{version}.tar.bz2
Source1:	ntlm.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
Requires: httpd

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf/module.d
%define _lockdir /var/lock/ntlm

%description
This module is implementing NTLM authentication for Apache
on Unix platforms.

%prep
%setup -q -n %{rname}-%{version}

%build
%{__make} %{?_smp_mflags}

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__mkdir_p} %{buildroot}%{_lockdir}/
%{__install} -m 755 .libs/mod_ntlm.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/ntlm.conf
%{_moddir}/mod_ntlm.so
%dir %attr(0775,root,nobody) %{_lockdir}

%changelog
* Sun Feb 26 2012 JoungKyun.Kim <http://oops.org> 1:0.1-1%{?dist}
- 1st packaged

